Subject: Re: Exim, .forward and DBD::Oracle
From: "Pierre A. Humblet" <[email-masked]>
To: Dmitry Melekhov <[email-masked]>, "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 Apr 2003 23:31:14 -0400

At 08:19 AM 4/11/2003 +0500, Dmitry Melekhov wrote:
>Gerrit P. Haase wrote:
>> Hallo Dmitry,
>> 
>> 
>>>I need to process mail in perl script.
>>>I installed DBD::Oracle and it works fine.
>>>I installed Exim and start it as service from SYSTEM account.
>> 
>> 
>>>But I have following problem in perl script when I call it from e-mail:
>> 
>> 
>>>DynaLoader::bootstrap for DBI (auto/DBI/DBI.dll)
>>>DynaLoader::bootstrap for DBD::Oracle (auto/DBD/Oracle/Oracle.dll)
>>>install_driver(Oracle) failed: Can't load 
>>>'/usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int/auto/DBD/Oracle/Oracle
.dll' 
>>>for module DBD::Oracle: dlopen: Win32 error 126 at 

Is Exim's PATH correct?  Can you print it from the script?
When does exim call this during mail processing? 
Is it from a .forward file (guess from the Subject: line)
Is there an error message in the exim log?

Pierre

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/